.\"$Id: deaf.man,v 0.0 1993/04/13 21:23:35 qlong Exp $
.\"$Log: deaf.man,v $
.\"Revision 0.0  1993/04/13  21:23:35  qlong
.\"Draft version of man page for DEAF (Directory Editor + Archie + Ftp)
.\"
.TH deaf 1
.SH Name
deaf \- Directory Editor + Archie + Ftp
.SH Syntax

.B deaf
[
.B \-a
] [
.B \-h
] [
.B \-p
] [
.B \-s Archie_servername
] 
. I directory
.br
.SH Description

.PN DEAF 
is an integrated environment that provides the functionalities of
manipulating
.PN file/directory
, querying 
.PNArchie 
server and transferring files. Because of the embedded 
.PN ftp
utility, 
.PN DEAF
does not only support file/directory operations on local
files/directories in a full-screen fashion, it also allows most of
those operations (like view, edit, delete, rename, etc)
to apply to the files/directories which are located
at remote machines (remote to another remote file transfer is 
enabled as well).The results from Archie server can be directly used, so
retrieving a freeware is even more convenient.

.PN DEAF
is based on termcap, it should work on vt100 compatible terminals.
.SH Options

.IP \fB\-a\fR  
Suppresses dot files. This option is only effective on local directory
mode. (See Modes)
.IP \fB\-h\fR 
Prints a help message, and the current version number.
.IP \fB\-p\fR 
Suppresses copyright notice.
.IP \fB\-s\fR 
Specify another Archie server.
.SH Modes

There are five kinds of mode in
.PN DEAF
: local directory mode, remote directory mode, Archie buffer list mode and
ftp connection list mode. 

Local and remote directory mode is where files and directories are 
manipulated. Each directory will be put into a buffer, and only one
buffer is visible  at any time. The full specification of 
file/directory is:
.EX    
Username@Hostname:Dir
.EE
Username defaults to "anonymous", Hostname will be inherited 
from the current buffer if it is not specified. 
.PN DEAF
recognizes "~", so "~username/dir" is legal. When started,
.PN DEAF
opens the current directory as default. For available file/directory
operations, see Key Bindings.

Archie mode is treated as a special directory mode. All of the results
from Archie server will be put into the same buffer (0th), so new
query will eliminate the previous result. Only copy files and open 
directory operations are available in this mode.

Buffer list mode is used to list all the buffers (except itself).
Since 
.PN DEAF 
does not limit the number of buffers that can be
opened, buffer list mode might be a good place to quickly move to or 
kill a specific buffer.

Ftp connection list mode lists all the open ftp connections. This is
one of the places (another is "K") you can close no longer needed ftp 
connections before 
.PN DEAF
exits. Local ftp connection should be kept open unless your
password is really funny. Ftp connection is named as:
.EX 
username@hostname
.EE
.PN DEAF
won't open two different connections under the same name. All the
connections will be closed when 
.PN DEAF
exits.
.SH Key Bindings

.IP "\fBSPACE or Ctrl-n\fB" 1i
Move cursor down one line.
.IP "\fBDEL or Ctrl-p\fB" 1i
Move cursor up one line.
.IP "\fBf or b\fB" 1i
Scroll buffer forward or backward half screen.
.IP "\fB- or =\fB" 1i
Move to the previous or next buffer.
.IP "\fB< or >\fB" 1i
Go to the beginning or the end of the current buffer.
.IP "\fB/ or ?\fB" 1i
Search forward or backward an entry.
.IP "\fBCtrl-b\fB" 1i
List all the buffers.
.IP "\fBCtrl-f\fB" 1i
List all the open ftp connections.
.IP "\fBCtrl-l\fB" 1i
Refrest the display.
.IP "\fB.\fB" 1i
Go to the parent of the current directory.
.IP "\fBa\fB" 1i
Use Archie to search an entry. Search method is case insensitive
substring match. The results from Archie will be put
into a buffer, you can use 'c' or 'o' to retrieve or open file or
directory.  
.IP "\fBc\fB" 1i
Copy the current file or all of the marked files of this buffer. 
.PN DEAF
allows  transferring files from local to remote, remote to local 
and remote to another remote host. File specification follow the
aforementioned (see Modes), with the exception that if the host is not
specified, it will default to local host.
.IP "\fBd\fB" 1i
In local/remote directory mode, delete the marked files. 
In buffer list mode, kill the buffer the cursor is on. 
In ftp connection list mode, close the ftp connection the cursor is on.
.IP "\fBe\fB" 1i
Edit the file the cursor is on. Will automatically retrieve from and
put back to remote machines if the file is not locally located.
.IP "\fBg\fB" 1i
Revert the current buffer.
.PN Deaf
is still too dumb to automatically do this job at most times. Be alert.
.IP "\fBh\fB" 1i
Get the on-line help.
.IP "\fBj\fB" 1i
Jump to the specified line.
.IP "\fBK\fB" 1i
Kill the ftp connection of the current buffer. 
.IP "\fBm\fB" 1i
Mark the current files.
.IP "\fBM\fB" 1i
Complimentary mark. Exchange the mark and the unmarked set of files.
.IP "\fBo\fB" 1i
In local/remote directory mode, open the directory the cursor is on.
In buffer list mode, go to the buffer the cursor is on.
.IP "\fBO\fB" 1i
In local/remote directory mode, open a named directory. If the named
directory does not exist, then create it.
.IP "\fBq\fB" 1i
Kill the current buffer. 
.IP "\fBQ\fB" 1i
Exit.
.IP "\fBr\fB" 1i
Rename the file the cursor is on.
.IP "\fBt\fB" 1i
Toggle on or off the verbose mode. 
.IP "\fBu\fB" 1i
Unmark the file the cursor is on.
.IP "\fBU\fB" 1i
Unmark all the marked files.
.IP "\fBv\fB" 1i
View the file the cursor is on. If it is a remote file, 
.PN DEAF
will retrive it first, but it won't be put back even if modifications
have been made.
.IP "\fBx\fB" 1i
Apply a shell command to each of the marked files. Be careful to use
this function, because you cannot get the output from nor feed to
the command. E.g., to print all the marked files, give command like "lpr
-h". The function is only available to local directory mode.

.SH Files

.PN DEAF
will put the retrieved remote files under directory
/usr/tmp/deaf.username$$ ($$ is the current process id) when the files
is retrived for viewing and editing. This temporary directory should
be removed automatically when 
.PN DEAF
exits. However, if some modified files cannot be put back to the remote
machine due to some problems, it will not be removed.
.SH Environment

.PN DEAF
is an environmentist. It does not pollute your enviroment with extra
variables.  However, EDITOR and PAGER are used to replace the default
value 'vi' and 'more'. PERLLIB should be correct, of course.
.SH Restrications

Only work on Unix machines.

.SH Bugs
.sp
.nf
Too many to list. Two already known are:
It does not provide as many (command line) options as GM cars.
If you use '-p' option, you may lose some extra features.
.fip
.SH Install

You should have termcap.pl, chat2.pl and socket.ph in order to run
this program. "termcap.pl" comes with perl distribution, chat2.pl can
be retrieved from most sites which archives perl script. "socket.ph"
is generated from "h2ph". Be sure that all these three can be reached
by the program (set PERLLIB environment variable). 

You may also need  to check the head of the program to reset some
global variables.

This program has only been tested on perl4.035.
.SH Author
.nf
Qiegang Long
Department of Computer Science
University of Masssachusetts
Amherst, MA01003
.fi
Internet: QLONG@CS.UMASS.EDU
